linux5.5下安装sqldeveloper

1、安装jre

tar -zxvf  jdk-7u25-linux-x64.gz

mv jdk1.7.0_25/ /usr/local/java

vim /etc/profile
export JAVA_HOME=/usr/local/java
export PATH=$PATH:/usr/local/java/bin
export CLASS_PATH=.:$JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib/tools.jar

source /etc/profile

2、下载sqldevelper

http://download.oracle.com/otn/java/sqldeveloper/sqldeveloper-4.0.0.13.80-no-jre.zip

由于在rhel5.5上安装 rpm包版的sqldeveloper会提示rpm版本问题而无法安装,因此使用该绿色版

[oracle@redhat5 ~]$ rpm -ivh sqldeveloper-4.0.1.14.48-1.noarch.rpm

error: Failed dependencies:

rpmlib(FileDigests) <= 4.6.0-1 is needed by sqldeveloper-4.0.1.14.48-1.noarch

rpmlib(PayloadIsXz) <= 5.2-1 is needed by sqldeveloper-4.0.1.14.48-1.noarch

解压qldeveloper-4.0.0.13.80-no-jre.zip

unzip qldeveloper-4.0.0.13.80-no-jre.zip

chmod 755 sqldeveloper/sqldeveloper.sh

sqldeveloper/sqldeveloper.sh

 

发表评论